curl --request POST \
--url https://api.pictify.io/bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "<string>",
"dataSource": {
"type": "http",
"url": "<string>",
"method": "GET",
"headers": {},
"credentials": {
"type": "api_key",
"value": "<string>"
}
},
"mapping": {},
"name": "<string>",
"defaults": {},
"refreshPolicy": {
"type": "ttl",
"ttlSeconds": 123,
"onError": "serve_stale"
},
"outputConfig": {
"format": "png",
"quality": 123
}
}
'{
"binding": {
"uid": "<string>",
"name": "<string>",
"templateId": "<string>",
"dataSource": {
"type": "http",
"url": "<string>",
"method": "GET"
},
"mapping": {},
"defaults": {},
"refreshPolicy": {
"type": "ttl",
"ttlSeconds": 123,
"onError": "serve_stale"
},
"status": "active",
"renderUrl": "<string>",
"webhookUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}curl --request POST \
--url https://api.pictify.io/bindings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"templateId": "<string>",
"dataSource": {
"type": "http",
"url": "<string>",
"method": "GET",
"headers": {},
"credentials": {
"type": "api_key",
"value": "<string>"
}
},
"mapping": {},
"name": "<string>",
"defaults": {},
"refreshPolicy": {
"type": "ttl",
"ttlSeconds": 123,
"onError": "serve_stale"
},
"outputConfig": {
"format": "png",
"quality": 123
}
}
'{
"binding": {
"uid": "<string>",
"name": "<string>",
"templateId": "<string>",
"dataSource": {
"type": "http",
"url": "<string>",
"method": "GET"
},
"mapping": {},
"defaults": {},
"refreshPolicy": {
"type": "ttl",
"ttlSeconds": 123,
"onError": "serve_stale"
},
"status": "active",
"renderUrl": "<string>",
"webhookUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}API key obtained from the Pictify dashboard
Binding created
Show child attributes